Package com.google.protobuf

# Interface AnyOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Any`, `Any.Builder`

public interface AnyOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getTypeUrl()`
`string type_url = 1 [json_name = "typeUrl"];`
`ByteString`
`getTypeUrlBytes()`
`string type_url = 1 [json_name = "typeUrl"];`
`ByteString`
`getValue()`
`bytes value = 2 [json_name = "value"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getTypeUrl

String getTypeUrl()
`string type_url = 1 [json_name = "typeUrl"];`

Returns:
  The typeUrl.

### getTypeUrlBytes

ByteString getTypeUrlBytes()
`string type_url = 1 [json_name = "typeUrl"];`

Returns:
  The bytes for typeUrl.

### getValue

ByteString getValue()
`bytes value = 2 [json_name = "value"];`

Returns:
  The value.